---
lang: "fr"
url: https://www.dalibo.com

trademarks: |
  Le logo éléphant de PostgreSQL ("Slonik") est une création sous copyright et
  le nom "PostgreSQL" est marque déposée par PostgreSQL Community Association
  of Canada.
  Toutes les autres marques et noms de produits mentionnés sont des marques
  déposées par leurs propriétaires respectifs.

##
## Reveal Options
##
## https://revealjs.com/config/
##
theme: white
progress: true
slideNumber: true
history: true
mouseWheel: true
transition: none
transitionSpeed: default

# Activation de la vue présentateur en appuyant sur la touche 'S'
# https://revealjs.com/speaker-view/
reveal_plugins: ["notes"]

##
## Eisvogel
##
## https://github.com/Wandmalfarbe/pandoc-latex-template#custom-template-variables
##
papersize: a4
book: true
header-left: "\\\ "
header-center: "DALIBO"
header-right: "\\\ "
footer-left: "\\thetitle"
footer-center: ""
footer-right: "\\thepage"
toc-own-page: true
urlcolor: blue
linkcolor: blue
listings-disable-line-numbers: true
code-block-font-size: \footnotesize
table-use-row-colors: true

# La config de couverture (`titlepage`) est désactivée
# car on la remplace par la couverture générée par le
# filtre pandoc-cover
#titlepage: True
#titlepage-background: 'dalidoc/images/covers/socle.pdf'
#titlepage-color: "4169E1"
#titlepage-text-color: "5d85c4"
#titlepage-rule-color: "FFFFFF"
#titlepage-rule-height: 0


## geometry
## https://ctan.tetaneutral.net/macros/latex/contrib/geometry/geometry.pdf
geometry:
    - includehead=true
    - includefoot=true
    - centering
    - margin=1.3cm

## Limiter la profondeur de la table des matieres
toc-depth: 2

## Mettre les lien http en pieds de page
links-as-notes: true


## Voir https://dali.bo/pandoc-awesomebox-example
## on renomme le box "notes" en "info" et on crée
## une nouvelle box "notes" avec un crayon
##
pandoc-latex-environment:
  noteblock: [info]
  tipblock: [tip]
  warningblock: [warning]
  cautionblock: [caution]
  importantblock: [important]
  penblock: [notes]
  slideblock: [slide-content]
  releaseblock: [release]


pandoc-cover:
  front: 'dalidoc/images/covers/formation_front.j2.svg'
#  back: 'dalidoc/images/covers/formation_back.j2.svg'

# NE PAS utiliser `--include-headers`
# https://github.com/daamien/pandoc-cover/issues/1
header-includes:
- |
  ```{=latex}
  %% Utiliser `sectsty` pour customiser les titres
  \usepackage{sectsty}

  %% Couleur des titres
  \definecolor{astral}{RGB}{46,116,181}

  %% Titres H1 : saut de page, bleu et majuscules
  \sectionfont{\clearpage\color{astral}\MakeUppercase}

  %% Titres H2 : en bleu
  \subsectionfont{\color{astral}}

  %% ajouter une séparation entre le numero et le texte dans les H1
  \renewcommand{\thechapter}{\arabic{chapter}/\ }
  \renewcommand{\thesection}{\arabic{chapter}.\arabic{section}}

  %% Voir la config de pandoc-latex-environment
  \usepackage{awesomebox}

  %% Ajouter des Awesomebox supplementaires
  %% code latex: https://github.com/gutenberg/latex-awesomebox/blob/main/awesomebox.sty#L134
  %% icones disponibles:  https://ctan.mines-albi.fr/fonts/fontawesome5/doc/fontawesome5.pdf
  %% couleurs disponibles:  https://sharelatex-wiki-cdn-671420.c.cdn77.org/learn-scripts/images/e/ef/OLxcolorList2.png
  %%
  \usepackage{color}
  \newenvironment{releaseblock}%
  {\begin{awesomeblock}[violet]{\aweboxrulewidth}{\faRocket}{violet}}
  {\end{awesomeblock}}

  \newenvironment{penblock}%
  {\begin{awesomeblock}[abnote]{\aweboxrulewidth}{\faPen}{abnote}}
  {\end{awesomeblock}}

  \newenvironment{slideblock}%
  {\begin{awesomeblock}[ForestGreen]{\aweboxrulewidth}{\faChalkboardTeacher}{ForestGreen}}
  {\end{awesomeblock}}


  %% fond de couleur des blocs de code sans coloration syntaxique
  \usepackage{verbatim,color,framed}
  \definecolor{shadecolor}{gray}{0.96}
  \let\oldverbatim=\verbatim
  \let\oldendverbatim=\endverbatim
  \renewenvironment{verbatim}%
    {\snugshade\oldverbatim}%
    {\oldendverbatim\endsnugshade}

  %% fond de couleur des blocs de code avec coloration syntaxique
  \ifcsmacro{Shaded}{}
  {
    %% Parfois l'environement Shaded n'est pas défini
    \newenvironment{Shaded}{}{}
  }
  \renewenvironment{Shaded}%
    {\begin{shaded}}%
    {\end{shaded}}

  %% style du code dans une ligne
  \usepackage{xcolor}
  \definecolor{codeframe}{gray}{0.8}

  \let\oldTexttt\texttt
  \renewcommand{\texttt}[1]{%
    \oldTexttt{%
      \fcolorbox{codeframe}{shadecolor}{%
        \footnotesize \textcolor{.!70} {\vphantom{gT}#1}%
      }%
    }%
  }
  ```

# NE PAS utiliser `--include-before-body`
# https://github.com/daamien/pandoc-cover/issues/1
include-before:
- |
  ```{=latex}
  %% couleurs pour les citations
  %% NE PAS mettre cette config dans header-includes
  \definecolor{blockquote-border}{RGB}{65,105,225}
  \definecolor{blockquote-text}{RGB}{65,105,225}

  %% Améliorer la césure des termes entourés de `backquotes`
  \sloppy
  ```
